Legacy Extension - Is Their an alternative within firefox itself ?

I currently use an extension "Hide Tab Bar With One Tab". i don't think 
it is going to be updated to a web extension . The addon page is

https://addons.mozilla.org/en-GB/firefox/addon/hide-tab-bar-with-one-tab/?src=search

Is their an alternative or a setting I could change within Firefox, for 
example in about:config to achieve the same result ?

Michael

---
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus

0
Michael
10/10/2017 10:49:01 AM
mozilla.support.firefox 24023 articles. 6 followers. Post Follow

6 Replies
42 Views

Similar Articles

[PageSpeed] 40

On 10/10/17 6:49 AM, Michael wrote:
> I currently use an extension "Hide Tab Bar With One Tab". i don't think 
> it is going to be updated to a web extension . The addon page is
> 
> https://addons.mozilla.org/en-GB/firefox/addon/hide-tab-bar-with-one-tab/?src=search 
> 
> 
> Is their an alternative or a setting I could change within Firefox, for 
> example in about:config to achieve the same result ?
> 
> Michael
> 

Yes there is an about:config setting to allow the continued use of 
Legacy extensions.

First, download and install Firefox Nightly 58.0a1.
Create a new profile for it and then start it.
Enter about:config into the Address bar.
Search for extensions.legacy.enabled and toggle it to true.
Install your extensions
Still no guarantee that Legacy extensions will work as expected or how 
long the pref will be available in Nightly.

<https://wiki.mozilla.org/Add-ons/Firefox57#Prefs>


-- 
Go Bills, Steelers, Pitt, Pens and Sabres!
Coexist <https://www.coexist.org/>
National Popular Vote <http://www.nationalpopularvote.com/>
Ubuntu 16.04LTS - Unity Desktop
0
WaltS48
10/10/2017 1:29:02 PM
This is a multi-part message in MIME format.
--------------04AC9F412C0C052049AD4573
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I had tried this on 57.0b4 but it did not work. Hope you have better 
luck on 58.

On 10/10/2017 15:29, WaltS48 wrote:
> Yes there is an about:config setting to allow the continued use of 
> Legacy extensions. 

--------------04AC9F412C0C052049AD4573
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <p>I had tried this on 57.0b4 but it did not work. Hope you have
      better luck on 58.<br>
    </p>
    <div class="moz-cite-prefix">On 10/10/2017 15:29, WaltS48 wrote:<br>
    </div>
    <blockquote type="cite"
      cite="mid:E7udnajqz9CDVkHEnZ2dnUU7-RHNnZ2d@mozilla.org">Yes there
      is an <a class="moz-txt-link-freetext" href="about:config"
        moz-do-not-send="true">about:config</a> setting to allow the
      continued use of Legacy extensions.
    </blockquote>
  </body>
</html>

--------------04AC9F412C0C052049AD4573--
0
Gary
10/10/2017 1:41:13 PM
On 10/10/2017 9:41 AM, Gary C Curtin wrote:
> I had tried this on 57.0b4 but it did not work. Hope you have better 
> luck on 58.
> 
> On 10/10/2017 15:29, WaltS48 wrote:
>> Yes there is an about:config setting to allow the continued use of 
>> Legacy extensions. 
> 

Only works on Nightly; not Beta.
0
custom
10/14/2017 12:53:48 AM
On 10/13/17 8:53 PM, custom.firefox.lady wrote:
> On 10/10/2017 9:41 AM, Gary C Curtin wrote:
>> I had tried this on 57.0b4 but it did not work. Hope you have better 
>> luck on 58.
>>
>> On 10/10/2017 15:29, WaltS48 wrote:
>>> Yes there is an about:config setting to allow the continued use of 
>>> Legacy extensions. 
>>
> 
> Only works on Nightly; not Beta.

I did mention that in the instructions part you snipped.

-- 
Go Bills, Steelers, Pitt, Pens and Sabres!
Coexist <https://www.coexist.org/>
National Popular Vote <http://www.nationalpopularvote.com/>
Ubuntu 16.04LTS - Unity Desktop
0
WaltS48
10/14/2017 1:43:38 AM
This is a multi-part message in MIME format.
--------------A5C794E24CB40F6842C0C79F
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I am sorry Walt, age is catching up with me, and I missed where you said 
that it only worked on 58.0a1. But I had previously tried this on 
57.0b4. I should have mentioned that I knew it worked in 56 and if I 
remember it was enabled by default, but I found the value disabled in 
57. So I hope my comment along with Custom Firefox Lady, serves to 
underline that.


On 14/10/2017 03:43, WaltS48 wrote:
>> Only works on Nightly; not Beta.
>
> I did mention that in the instructions part you snipped. 

--------------A5C794E24CB40F6842C0C79F
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <p>I am sorry Walt, age is catching up with me, and I missed where
      you said that it only worked on 58.0a1. But I had previously tried
      this on 57.0b4. I should have mentioned that I knew it worked in
      56 and if I remember it was enabled by default, but I found the
      value disabled in 57. So I hope my comment along with Custom
      Firefox Lady, serves to underline that.<br>
    </p>
    <br>
    <div class="moz-cite-prefix">On 14/10/2017 03:43, WaltS48 wrote:<br>
    </div>
    <blockquote type="cite"
      cite="mid:QdSdnddhxOJX9nzEnZ2dnUU7-TednZ2d@mozilla.org">
      <blockquote type="cite" style="color: #000000;">Only works on
        Nightly; not Beta.
        <br>
      </blockquote>
      <br>
      I did mention that in the instructions part you snipped.
    </blockquote>
  </body>
</html>

--------------A5C794E24CB40F6842C0C79F--
0
Gary
10/14/2017 7:42:13 AM
On 10/13/17 9:43 PM, WaltS48 wrote:
> On 10/13/17 8:53 PM, custom.firefox.lady wrote:
>> On 10/10/2017 9:41 AM, Gary C Curtin wrote:
>>> I had tried this on 57.0b4 but it did not work. Hope you have better
>>> luck on 58.
>>>
>>> On 10/10/2017 15:29, WaltS48 wrote:
>>>> Yes there is an about:config setting to allow the continued use of
>>>> Legacy extensions.
>>>
>>
>> Only works on Nightly; not Beta.
> 
> I did mention that in the instructions part you snipped.
> 

I have tried the about:config fix with the developers edition of 57 with 
the result being that itwill no longer start.

-- 
Caver1
0
Caver1
10/14/2017 4:14:39 PM
Reply: